Subject: bug#53331: 29.0.50; eval-defun doesn't respect edebug-all-defs

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 21 Jan 2022 12:26:38 +0100

Michael Heerdegen <[email-masked]> writes:

> So the problem is that when you enable edebug-all-defs but don't
> explicitly load edebug, the advice is not yet installed and thus
> `eval-defun' does not instrument.

Looks like it.

> I guess what we really want is to get rid of the advices altogether, so
> it's not worth to add another hack to support this corner case.

Perhaps the edebug-all-defs user option should have a setting form that
loads edebug?  That'd make this work for people that use Customize, at
least.

Uhm...  Oh, right.  It just needs:

  :require 'edebug

And the doc string should mention this; I'll fix both things.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no